package com.xkrs.microservice.common.config;

import java.lang.reflect.Field;
import java.nio.charset.StandardCharsets;
import java.util.Objects;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

/**
 * spring 静态工具类里读取配置文件
 * @author tajochen
 */
@Component
public class ConfigConstant {

    @Resource
    private Environment env;

    @PostConstruct
    public void readConfig() throws Exception {
        String prefix = "my.";
        Field[] fields = ConfigConstant.class.getFields();
        for(Field field : fields ){
            field.set(null, getProperty(prefix + field.getName()));
        }
    }

    private String getProperty(String key) {
        return new String(Objects.requireNonNull(env.getProperty(key)).getBytes(StandardCharsets.ISO_8859_1),
                StandardCharsets.UTF_8);
    }
}
