package com.xkrs.microservice.common.schedule;

import com.xkrs.microservice.common.tool.JackSonTool;
import com.xkrs.microservice.common.tool.WeatherGet;
import com.xkrs.microservice.model.vo.MonitoringStationReturnVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;
import java.time.*;
import java.util.*;

import static com.xkrs.microservice.util.RequestUtil.getStandard;

/**
 * 定时任务
 * @author tajochen
 */
@Configuration
@EnableScheduling
public class SaticScheduleTask {

    Logger logger = LoggerFactory.getLogger(SaticScheduleTask.class);

    @Resource
    private WeatherGet weatherGet;

//    /**
//     * 定时获取数据，每天9:31 触发
//     */
//    @Scheduled(cron = "00 31 9 ? * *")
//    private void dailyReportFireLastTasks() {
//        LocalDate pdfStartDate = LocalDate.of(2021, 5, 20);
//        String url = "http://47.105.215.208:8005/intfa/queryData/16079680";
//        Map<String,String> postParam = new HashMap<>(8);
//
//    }

    /**
     * 定时获取气象站数据 每 5 分钟触发
     */
    @Scheduled(cron = "0 0/5 * * * ?")
    private void configureTasks() {
        logger.info("执行静态定时任务时间: " + LocalDateTime.now());
        weatherGet.findWeather();
    }

    public static void main(String[] args) {
        String url = "http://47.105.215.208:8005/intfa/queryData/16079680";
        Map<String,String> postParam = new HashMap<>(8);
        String res = getStandard(url, postParam);
        MonitoringStationReturnVo de = JackSonTool.decode(res, MonitoringStationReturnVo.class);
        System.out.println(res);
    }

}
