package com.xkrs.microservice.common.tool;

import java.io.Serializable;
import java.util.List;

/**
 * @author XinYi Song
 * 分页的封装
 */
@SuppressWarnings({"ALL", "AlibabaAvoidCommentBehindStatement"})
public class PageBean<T> implements Serializable {
    //要封装的list泛型集合
    private List<T> list;
    //当前页码
    private int currentPage;
    //每页展示的条数
    private int pageSize;
    //数据总数
    private long totalCount;
    //总页数
    private int totalPage;

    public PageBean() {
    }

    public PageBean(List<T> list, int currentPage, int pageSize, long totalCount) {
        this.list = list;
        this.currentPage = currentPage;
        this.pageSize = pageSize;
        this.totalCount = totalCount;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public int getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(int currentPage) {
        this.currentPage = currentPage;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(long totalCount) {
        this.totalCount = totalCount;
    }

    //设置总页数
    public int getTotalPage() {
        return (int) Math.ceil(totalCount * 1.0 / pageSize);
    }

    public void setTotalPage(int totalPage) {
        this.totalPage = totalPage;
    }

    @Override
    public String toString() {
        return "PageBean{" +
                "list=" + list +
                ", currentPage=" + currentPage +
                ", pageSize=" + pageSize +
                ", totalCount=" + totalCount +
                ", totalPage=" + totalPage +
                '}';
    }
}
