package com.xkrs.microservice.common.tool;

import com.xkrs.microservice.dao.WeatherDao;
import com.xkrs.microservice.model.entity.WeatherEntity;
import com.xkrs.microservice.util.RequestUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author XinYi Song
 */
@Component
public class WeatherGet {

    public static Logger log = LoggerFactory.getLogger(WeatherGet.class);

    @Resource
    private WeatherDao weatherDao;

    @CacheEvict(value = "WeatherServiceCache",allEntries = true)
    public void findWeather(){
        // 请求登录接口拿到token
        String login = "http://47.105.215.208:8005/login";
        String json1 = "{\n" +
                "    \"username\":\"5281652\",\n" +
                "    \"password\":\"123456\"\n" +
                "}";
        String s = RequestUtil.doPostJson(login, json1);
        Map map1 = JackSonTool.json2map(s);
        String token = (String) map1.get("token");

        String getData = "http://47.105.215.208:8005/intfa/queryData/16079680";
        Map map = new HashMap(3);
        String s1 = RequestUtil.doGet(getData, map, token);
        Map map2 = JackSonTool.json2map(s1);
        List<Map> data1 = (List<Map>) map2.get("entity");
        if(data1 == null || data1.size() == 0){
            log.info("----+" + "结束当前方法");
            return;
        }else {
            log.info("-----------开始数据入库");
            WeatherEntity weatherEntity = new WeatherEntity();
            weatherEntity.setAddTime(data1.get(0).get("datetime").toString());
            // 风速
            weatherEntity.setWindSpeed(data1.get(0).get("eValue").toString());
            // 雨量累计
            weatherEntity.setRainfall(data1.get(1).get("eValue").toString());
            // 大气温度
            weatherEntity.setAtmosphericTemperature(data1.get(2).get("eValue").toString());
            // 大气湿度
            weatherEntity.setAtmosphericHumidity(data1.get(3).get("eValue").toString());
            // 数字气压
            weatherEntity.setDigitalAirPressure(data1.get(4).get("eValue").toString());
            // 太阳总辐射
            weatherEntity.setTotalSolarRadiation(data1.get(5).get("eValue").toString());
            // 风向
            weatherEntity.setWindDirection(data1.get(6).get("eValue").toString());
            // 辐射累计
            weatherEntity.setRadiationAccumulation(data1.get(7).get("eValue").toString());
            // 土温1
            weatherEntity.setSoilTemperatureOne(data1.get(8).get("eValue").toString());
            // 土湿1
            weatherEntity.setSoilWetOne(data1.get(9).get("eValue").toString());
            // 土温2
            weatherEntity.setSoilTemperatureTwo(data1.get(10).get("eValue").toString());
            // 土湿2
            weatherEntity.setSoilWetTwo(data1.get(11).get("eValue").toString());
            // 土温3
            weatherEntity.setSoilTemperatureThree(data1.get(12).get("eValue").toString());
            // 土湿3
            weatherEntity.setSoilWetThree(data1.get(13).get("eValue").toString());
            // 土温4
            weatherEntity.setSoilTemperatureFour(data1.get(14).get("eValue").toString());
            // 土湿4
            weatherEntity.setSoilWetFour(data1.get(15).get("eValue").toString());
            // ph值
            weatherEntity.setPhValue(data1.get(16).get("eValue").toString());
            // 日照时数
            weatherEntity.setSunshineHours(data1.get(17).get("eValue").toString());
            // 二氧化碳
            weatherEntity.setCarbonDioxide(data1.get(18).get("eValue").toString());
            // 盐分
            weatherEntity.setSalt(data1.get(19).get("eValue").toString());

            weatherDao.save(weatherEntity);
        }

    }

}
