package com.xkrs.microservice.controller;

import com.xkrs.microservice.service.CacheService;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Locale;


/**
 * 缓存测试服务
 * @author tajochen
 */
@RestController
@RequestMapping("/api/cache")
public class CacheController {

    /**
     * 获取区域信息
     */
    Locale locale = LocaleContextHolder.getLocale();

    @Resource
    private CacheService cacheService;

    @GetMapping("/get/test-name")
    public String findByNickName(@RequestParam(value="testName", required=false) String testName)
    {
        return cacheService.findByTestName(testName);
    }

    @GetMapping("/set/test-name")
    public String setNickName(@RequestParam(value="testName", required=false) String testName)
    {
        return cacheService.setTestName(testName);
    }
}
