package com.xkrs.microservice.controller;

import com.xkrs.microservice.common.encapsulation.PromptMessageEnum;
import com.xkrs.microservice.model.entity.*;
import com.xkrs.microservice.service.DicBusinessService;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Locale;

import static com.xkrs.microservice.common.encapsulation.OutputEncapsulation.outputEncapsulationObject;


/**
 * 系统用户Controller
 * @author tajocehn
 */
@RestController
@RequestMapping(value = "/api/data")
public class DicBusinessServiceController {

    /**
     * 获取区域信息
     */
    Locale locale = LocaleContextHolder.getLocale();

    @Resource
    private DicBusinessService dicBusinessService;

    @RequestMapping(value="/get/soil-classify/all", method = RequestMethod.GET)
    public String getAllSoilClassify(){
        Iterable<DicSoilClassifyEntity> res = dicBusinessService.getAllSoilClassify();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,res,locale);
    }

    @RequestMapping(value="/get/crop-classify/all", method = RequestMethod.GET)
    public String getAllCropClassify(){
        Iterable<DicCropClassifyEntity> res = dicBusinessService.getAllCropClassify();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,res,locale);
    }

    @RequestMapping(value="/get/drought-classify/all", method = RequestMethod.GET)
    public String getAllDroughtClassify(){
        Iterable<DicDroughtClassifyEntity> res = dicBusinessService.getAllDroughtClassify();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,res,locale);
    }

    @RequestMapping(value="/get/land-classify/all", method = RequestMethod.GET)
    public String getAllLandClassify(){
        Iterable<DicLandClassifyEntity> res = dicBusinessService.getAllLandClassify();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,res,locale);
    }

    @RequestMapping(value="/get/product/all", method = RequestMethod.GET)
    public String getAllProduct(){
        Iterable<DicProductEntity> res = dicBusinessService.getAllProduct();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,res,locale);
    }

}
