package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.HydrologicalStationEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.time.LocalDateTime;

/**
 * HydrologicalStationDao
 * @author tajochen
 */
public interface HydrologicalStationDao extends JpaRepository<HydrologicalStationEntity,Integer> {

    /**
     * 根据时间段查询水文站点数据
     * @param sTime 开始时间
     * @param eTime 结束时间
     * @return
     */
    Iterable<HydrologicalStationEntity> findByRecordTimeBetween(LocalDateTime sTime,LocalDateTime eTime);

    /**
     * 根据时间段查询水文站点数据
     * @param name 站点名称
     * @param sTime 开始时间
     * @param eTime 结束时间
     * @return
     */
    Iterable<HydrologicalStationEntity> findByNameAndRecordTimeBetween(String name, LocalDateTime sTime,LocalDateTime eTime);

}
