package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.IndependentCheckEntity;
import org.springframework.data.jpa.repository.JpaRepository;

/**
 * IndependentCheckDao
 * @author tajochen
 */
public interface IndependentCheckDao extends JpaRepository<IndependentCheckEntity,Integer> {

    /**
     * 查找自主核查结果根据区县代码
     * @param qxdm 区县代码
     * @return
     */
    Iterable<IndependentCheckEntity> findByQxdm(Integer qxdm);

    /**
     * 查找自主核查结果根据用户名
     * @param userName 用户名
     * @return
     */
    Iterable<IndependentCheckEntity> findAllByAddUserName(String userName);

}
