package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.IrrigationRecordEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.time.LocalDate;

/**
 * IrrigationRecordDao
 * @author tajochen
 */
public interface IrrigationRecordDao extends JpaRepository<IrrigationRecordEntity,Integer> {

    /**
     * 获取指定行政区划代码
     * @param countyCode 区县代码
     * @return
     */
    Iterable<IrrigationRecordEntity> findByCountyCode(Integer countyCode);

    /**
     * 获取指定街道代码
     * @param townCode 街道代码
     * @param startDate 开始日期
     * @param endDate 结束日期
     * @return
     */
    Iterable<IrrigationRecordEntity> findByTownCodeAndIrrigationDateBetween(String townCode,LocalDate startDate,LocalDate endDate);

    /**
     * 获取指定行政区划代码和指定日期段
     * @param countyCode 行政区划代码
     * @param startDate 开始日期
     * @param endDate 结束日期
     * @return
     */
    Iterable<IrrigationRecordEntity> findByCountyCodeAndIrrigationDateBetween(Integer countyCode,LocalDate startDate,LocalDate endDate);

}
