package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.TypicalFarmerEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

/**
 * TypicalFarmerDao
 * @author tajochen
 */
public interface TypicalFarmerDao extends JpaRepository<TypicalFarmerEntity,Integer> {

    /**
     * 查找农户根据姓名
     * @param lxr 联系人姓名
     * @return
     */
    Iterable<TypicalFarmerEntity> findAllByLxr(String lxr);

    /**
     * 查找农户根据手机号（帐号）
     * @param tel 手机号
     * @return
     */
    Optional<TypicalFarmerEntity> findByTel(String tel);

    /**
     * 查找农户根据乡镇代码
     * @param xzdm 乡镇代码
     * @return
     */
    Iterable<TypicalFarmerEntity> findAllByXzdm(String xzdm);

    /**
     * 查找农户根据区县代码
     * @param qxdm 区县代码
     * @return
     */
    Iterable<TypicalFarmerEntity> findAllByQxdm(Integer qxdm);

}
