package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.TypicalPlotEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

/**
 * TypicalPlotDao
 * @author tajochen
 */
public interface TypicalPlotDao extends JpaRepository<TypicalPlotEntity,Integer> {

    /**
     * 查找典型地块根据地块编号
     * @param dkbh
     * @return
     */
    Optional<TypicalPlotEntity> findAllByDkbh(String dkbh);

    /**
     * 查找典型地块根据姓名
     * @param lxr 联系人姓名
     * @return
     */
    Iterable<TypicalPlotEntity> findAllByLxr(String lxr);

    /**
     * 查找典型地块根据手机号（帐号）
     * @param tel 手机号
     * @return
     */
    Iterable<TypicalPlotEntity> findAllByTel(String tel);

    /**
     * 查找典型地块根据区县代码
     * @param qxdm 区县代码
     * @return
     */
    Iterable<TypicalPlotEntity> findAllByQxdm(Integer qxdm);

    /**
     * 查找典型地块根据乡镇代码
     * @param xzdm 乡镇代码
     * @return
     */
    Iterable<TypicalPlotEntity> findAllByXzdm(String xzdm);

}
