package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.WeatherEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

/**
 * @author XinYi Song
 */
@Component
public interface WeatherDao extends JpaRepository<WeatherEntity,Long>, JpaSpecificationExecutor<WeatherEntity> {

    /**
     * 查询最新的一条记录
     * @return
     */
    @Query(value = "SELECT * from weather ORDER BY add_time desc limit 1",nativeQuery = true)
    WeatherEntity selectNewest();
}
