package com.xkrs.microservice.model.entity;

import javax.persistence.*;

/**
 * DicLandClassify 表实体类
 * @author tajochen
 */
@Entity
@Table(name="dic_product")
public class DicProductEntity {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "dic_product_seq_gen")
    @SequenceGenerator(name = "dic_product_seq_gen", sequenceName = "dic_product_seq",allocationSize = 1)
    private Integer id;

    @Column( nullable = false,length = 64,unique = true, columnDefinition = "varchar(64)")
    private String productType;

    @Column(length = 64, columnDefinition = "varchar(64)")
    private String productTypeCn;

    @Column(length = 64, columnDefinition = "varchar(64)")
    private String productOrigin;

    @Column(length = 64, columnDefinition = "varchar(64)")
    private String productCycle;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String memo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getProductTypeCn() {
        return productTypeCn;
    }

    public void setProductTypeCn(String productTypeCn) {
        this.productTypeCn = productTypeCn;
    }

    public String getProductOrigin() {
        return productOrigin;
    }

    public void setProductOrigin(String productOrigin) {
        this.productOrigin = productOrigin;
    }

    public String getProductCycle() {
        return productCycle;
    }

    public void setProductCycle(String productCycle) {
        this.productCycle = productCycle;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    public String toString() {
        return "DicProductEntity{" +
                "id=" + id +
                ", productType='" + productType + '\'' +
                ", productTypeCn='" + productTypeCn + '\'' +
                ", productOrigin='" + productOrigin + '\'' +
                ", productCycle='" + productCycle + '\'' +
                ", memo='" + memo + '\'' +
                '}';
    }
}
