package com.xkrs.microservice.model.entity;

import javax.persistence.*;

/**
 * DicSoilClassify 表实体类
 * @author tajochen
 */
@Entity
@Table(name="dic_soil_classify")
public class DicSoilClassifyEntity {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "dic_soil_classify_seq_gen")
    @SequenceGenerator(name = "dic_soil_classify_seq_gen", sequenceName = "dic_soil_classify_seq",allocationSize = 1)
    private Integer id;

    @Column( nullable = false, columnDefinition = "int4")
    private Integer code;

    @Column(length = 64, nullable = false, columnDefinition = "varchar(64)")
    private String value;

    @Column(length = 64, columnDefinition = "varchar(64)")
    private String symbol;

    @Column(length = 255, columnDefinition = "varchar(255)")
    private String engExplanation;

    @Column(length = 255, columnDefinition = "varchar(255)")
    private String chExplanation;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getSymbol() {
        return symbol;
    }

    public void setSymbol(String symbol) {
        this.symbol = symbol;
    }

    public String getEngExplanation() {
        return engExplanation;
    }

    public void setEngExplanation(String engExplanation) {
        this.engExplanation = engExplanation;
    }

    public String getChExplanation() {
        return chExplanation;
    }

    public void setChExplanation(String chExplanation) {
        this.chExplanation = chExplanation;
    }

    @Override
    public String toString() {
        return "DicSoilClassify{" +
                "id=" + id +
                ", code=" + code +
                ", value='" + value + '\'' +
                ", symbol='" + symbol + '\'' +
                ", engExplanation='" + engExplanation + '\'' +
                ", chExplanation='" + chExplanation + '\'' +
                '}';
    }
}
