package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * FarmingInfoEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="farming_info")
public class FarmingInfoEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "farming_info_gen")
    @SequenceGenerator(name = "farming_info_seq_gen", sequenceName = "farming_info_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String dkbh;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String zwmc;

    private Integer zwdm;

    @Column( nullable = false)
    private Integer qxbh;

    @Column( length = 512, columnDefinition = "varchar(512)",nullable = false)
    private String nqzp;

    @Column( length = 64, columnDefinition = "varchar(64)", nullable = false)
    private String nqzt;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String remark;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    private LocalDateTime createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public Integer getZwdm() {
        return zwdm;
    }

    public void setZwdm(Integer zwdm) {
        this.zwdm = zwdm;
    }

    public Integer getQxbh() {
        return qxbh;
    }

    public void setQxbh(Integer qxbh) {
        this.qxbh = qxbh;
    }

    public String getNqzp() {
        return nqzp;
    }

    public void setNqzp(String nqzp) {
        this.nqzp = nqzp;
    }

    public String getNqzt() {
        return nqzt;
    }

    public void setNqzt(String nqzt) {
        this.nqzt = nqzt;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "FarmingInfoEntity{" +
                "id=" + id +
                ", dkbh='" + dkbh + '\'' +
                ", zwmc='" + zwmc + '\'' +
                ", zwdm=" + zwdm +
                ", qxbh=" + qxbh +
                ", nqzp='" + nqzp + '\'' +
                ", nqzt='" + nqzt + '\'' +
                ", remark='" + remark + '\'' +
                ", addUserName='" + addUserName + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
