package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * FileApp 表实体类
 * @author tajochen
 */
@Entity
@Table(name="file_app")
public class FileAppEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "app_file_seq_gen")
    @SequenceGenerator(name = "app_file_seq_gen", sequenceName = "app_file_seq",allocationSize = 1)
    private Integer id;

    @Column(length = 64, nullable = false, columnDefinition = "varchar(64)")
    private String name;

    @Column(length = 192 , nullable = false, columnDefinition = "varchar(192)")
    private String appPath;

    @Column( length = 128, nullable = false,unique = true, columnDefinition = "varchar(128)")
    private String versionNumber;

    @Column( length = 128, nullable = false, columnDefinition = "varchar(128)")
    private String size;

    @Column( length = 192, nullable = false, columnDefinition = "varchar(192)")
    private String md5;

    @Column( length = 192, columnDefinition = "varchar(192)")
    private String memo;

    @Column( length = 32,nullable = false, columnDefinition = "varchar(32)")
    private String addUserName;

    private LocalDateTime addTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAppPath() {
        return appPath;
    }

    public void setAppPath(String appPath) {
        this.appPath = appPath;
    }

    public String getVersionNumber() {
        return versionNumber;
    }

    public void setVersionNumber(String versionNumber) {
        this.versionNumber = versionNumber;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    public LocalDateTime getAddTime() {
        return addTime;
    }

    public void setAddTime(LocalDateTime addTime) {
        this.addTime = addTime;
    }

    @Override
    public String toString() {
        return "FileAppEntity{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", appPath='" + appPath + '\'' +
                ", versionNumber='" + versionNumber + '\'' +
                ", size='" + size + '\'' +
                ", md5='" + md5 + '\'' +
                ", memo='" + memo + '\'' +
                ", addUserName='" + addUserName + '\'' +
                ", addTime=" + addTime +
                '}';
    }
}
