package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * HydrologicalStationEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="hydrological_station")
public class HydrologicalStationEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "hydrological_station_gen")
    @SequenceGenerator(name = "hydrological_station_seq_gen", sequenceName = "hydrological_station_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 64,nullable = false)
    private String name;

    private LocalDateTime recordTime;

    private Integer countyCode;

    @Column( length = 32, nullable = false, columnDefinition = "varchar(32)")
    private String countyName;

    private Double longitude;

    private Double latitude;

    private Integer droughtLevel;

    private Double drp;

    private String remarks;

    private LocalDateTime createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public LocalDateTime getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(LocalDateTime recordTime) {
        this.recordTime = recordTime;
    }

    public Integer getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(Integer countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Integer getDroughtLevel() {
        return droughtLevel;
    }

    public void setDroughtLevel(Integer droughtLevel) {
        this.droughtLevel = droughtLevel;
    }

    public Double getDrp() {
        return drp;
    }

    public void setDrp(Double drp) {
        this.drp = drp;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "HydrologicalStationEntity{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", recordTime=" + recordTime +
                ", countyCode=" + countyCode +
                ", countyName='" + countyName + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", droughtLevel=" + droughtLevel +
                ", drp=" + drp +
                ", remarks='" + remarks + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
