package com.xkrs.microservice.model.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.micrometer.core.instrument.util.StringUtils;
import org.geolatte.geom.Geometry;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * IndependentCheckEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="independent_check")
public class IndependentCheckEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "independent_check_gen")
    @SequenceGenerator(name = "independent_check_seq_gen", sequenceName = "independent_check_seq",allocationSize = 1)
    private Integer id;

    private Integer qxdm;

    private String qxmc;

    private Integer zwdm;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String zwmc;

    private Double lai;

    private Double swc;

    private Integer ggzt;

    @Column( length = 512, columnDefinition = "varchar(512)")
    private String hczp;

    private Integer sfwrj;

    private Integer sdcjgp;

    private Double xzb;

    private Double yzb;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String remark;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    private LocalDateTime createTime;

    private Geometry geom;

    @Transient
    private String wktGeom;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getQxdm() {
        return qxdm;
    }

    public void setQxdm(Integer qxdm) {
        this.qxdm = qxdm;
    }

    public String getQxmc() {
        return qxmc;
    }

    public void setQxmc(String qxmc) {
        this.qxmc = qxmc;
    }

    public Integer getZwdm() {
        return zwdm;
    }

    public void setZwdm(Integer zwdm) {
        this.zwdm = zwdm;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public Double getLai() {
        return lai;
    }

    public void setLai(Double lai) {
        this.lai = lai;
    }

    public Double getSwc() {
        return swc;
    }

    public void setSwc(Double swc) {
        this.swc = swc;
    }

    public Integer getGgzt() {
        return ggzt;
    }

    public void setGgzt(Integer ggzt) {
        this.ggzt = ggzt;
    }

    public String getHczp() {
        return hczp;
    }

    public void setHczp(String hczp) {
        this.hczp = hczp;
    }

    public Integer getSfwrj() {
        return sfwrj;
    }

    public void setSfwrj(Integer sfwrj) {
        this.sfwrj = sfwrj;
    }

    public Integer getSdcjgp() {
        return sdcjgp;
    }

    public void setSdcjgp(Integer sdcjgp) {
        this.sdcjgp = sdcjgp;
    }

    public Double getXzb() {
        return xzb;
    }

    public void setXzb(Double xzb) {
        this.xzb = xzb;
    }

    public Double getYzb() {
        return yzb;
    }

    public void setYzb(Double yzb) {
        this.yzb = yzb;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    @JsonIgnore
    public Geometry getGeom() {
        return geom;
    }

    @JsonIgnore
    public void setGeom(Geometry geom) {
        this.geom = geom;
    }

    public String getWktGeom() {
        if(StringUtils.isNotBlank(wktGeom)){
            return wktGeom;
        } else if(geom == null){
            return "";
        } else {
            return geom.toString();
        }
    }

    public void setWktGeom(String wktGeom) {
        this.wktGeom = wktGeom;
    }

    @Override
    public String toString() {
        return "IndependentCheckEntity{" +
                "id=" + id +
                ", qxdm=" + qxdm +
                ", qxmc='" + qxmc + '\'' +
                ", zwdm=" + zwdm +
                ", zwmc='" + zwmc + '\'' +
                ", lai=" + lai +
                ", swc=" + swc +
                ", ggzt=" + ggzt +
                ", hczp='" + hczp + '\'' +
                ", sfwrj=" + sfwrj +
                ", sdcjgp=" + sdcjgp +
                ", xzb=" + xzb +
                ", yzb=" + yzb +
                ", remark='" + remark + '\'' +
                ", addUserName='" + addUserName + '\'' +
                ", createTime=" + createTime +
                ", geom=" + geom +
                ", wktGeom='" + wktGeom + '\'' +
                '}';
    }
}
