package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * IrrigationCheckEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="irrigation_check")
public class IrrigationCheckEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "irrigation_check_gen")
    @SequenceGenerator(name = "irrigation_check_seq_gen", sequenceName = "irrigation_check_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 32, columnDefinition = "varchar(32)",unique = true, nullable = false)
    private String hsbh;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String ggbh;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String dkbh;

    @Column( nullable = false)
    private Integer qxbh;

    @Column( length = 512, columnDefinition = "varchar(512)")
    private String hszp;

    @Column( nullable = false)
    private Integer hszt;

    private Double xzb;

    private Double yzb;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String remark;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    private LocalDateTime createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getHsbh() {
        return hsbh;
    }

    public void setHsbh(String hsbh) {
        this.hsbh = hsbh;
    }

    public String getGgbh() {
        return ggbh;
    }

    public void setGgbh(String ggbh) {
        this.ggbh = ggbh;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public Integer getQxbh() {
        return qxbh;
    }

    public void setQxbh(Integer qxbh) {
        this.qxbh = qxbh;
    }

    public String getHszp() {
        return hszp;
    }

    public void setHszp(String hszp) {
        this.hszp = hszp;
    }

    public Integer getHszt() {
        return hszt;
    }

    public void setHszt(Integer hszt) {
        this.hszt = hszt;
    }

    public Double getXzb() {
        return xzb;
    }

    public void setXzb(Double xzb) {
        this.xzb = xzb;
    }

    public Double getYzb() {
        return yzb;
    }

    public void setYzb(Double yzb) {
        this.yzb = yzb;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "IrrigationCheckEntity{" +
                "id=" + id +
                ", hsbh='" + hsbh + '\'' +
                ", ggbh='" + ggbh + '\'' +
                ", dkbh='" + dkbh + '\'' +
                ", qxbh=" + qxbh +
                ", hszp='" + hszp + '\'' +
                ", hszt=" + hszt +
                ", xzb=" + xzb +
                ", yzb=" + yzb +
                ", remark='" + remark + '\'' +
                ", addUserName='" + addUserName + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
