package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * IrrigationSarRecordEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="irrigation_sar_record")
public class IrrigationSarRecordEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "irrigation_sar_record_gen")
    @SequenceGenerator(name = "irrigation_sar_record_seq_gen", sequenceName = "irrigation_sar_record_seq",allocationSize = 1)
    private Integer id;

    @Column( nullable = false)
    private Integer countyCode;

    @Column( length = 32, nullable = false, columnDefinition = "varchar(32)")
    private String countyName;

    @Column( length = 16, nullable = false, columnDefinition = "varchar(16)")
    private String townCode;

    @Column( length = 32, nullable = false, columnDefinition = "varchar(32)")
    private String townName;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String cropName;

    private Integer cropCode;

    private LocalDate irrigationDate;

    private Double area;

    @Column( length = 128, columnDefinition = "varchar(128)")
    private String dataSource;

    @Column( length = 128, columnDefinition = "varchar(128)")
    private String memo;

    @Column( length = 32,nullable = false, columnDefinition = "varchar(32)")
    private String addUserName;

    private LocalDateTime addTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(Integer countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public LocalDate getIrrigationDate() {
        return irrigationDate;
    }

    public void setIrrigationDate(LocalDate irrigationDate) {
        this.irrigationDate = irrigationDate;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    public LocalDateTime getAddTime() {
        return addTime;
    }

    public void setAddTime(LocalDateTime addTime) {
        this.addTime = addTime;
    }

    public String getTownCode() {
        return townCode;
    }

    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getCropName() {
        return cropName;
    }

    public void setCropName(String cropName) {
        this.cropName = cropName;
    }

    public Integer getCropCode() {
        return cropCode;
    }

    public void setCropCode(Integer cropCode) {
        this.cropCode = cropCode;
    }

    @Override
    public String toString() {
        return "IrrigationSarRecordEntity{" +
                "id=" + id +
                ", countyCode=" + countyCode +
                ", countyName='" + countyName + '\'' +
                ", townCode='" + townCode + '\'' +
                ", townName='" + townName + '\'' +
                ", cropName='" + cropName + '\'' +
                ", cropCode=" + cropCode +
                ", irrigationDate=" + irrigationDate +
                ", area=" + area +
                ", dataSource='" + dataSource + '\'' +
                ", memo='" + memo + '\'' +
                ", addUserName='" + addUserName + '\'' +
                ", addTime=" + addTime +
                '}';
    }
}
