package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * RelAdmWeatherStationEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="meteorological_station")
public class MeteorologicalStationEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "rel_adm_weather_station_seq_gen")
    @SequenceGenerator(name = "rel_adm_weather_station_seq_gen", sequenceName = "rel_adm_weather_station_seq",allocationSize = 1)
    private Integer id;

    private Integer code;

    @Column(length = 32, nullable = false, columnDefinition = "varchar(32)")
    private String name;

    private Integer cityCode;

    @Column(length = 32, nullable = false, columnDefinition = "varchar(32)")
    private String cityName;

    private Integer proCode;

    @Column(length = 16, nullable = false, columnDefinition = "varchar(16)")
    private String proName;

    private Integer cityWeatherCode;

    private Double height;

    private Double lat;

    private Double lon;

    private Integer stationId;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String memo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getCityCode() {
        return cityCode;
    }

    public void setCityCode(Integer cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public Integer getProCode() {
        return proCode;
    }

    public void setProCode(Integer proCode) {
        this.proCode = proCode;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public Integer getCityWeatherCode() {
        return cityWeatherCode;
    }

    public void setCityWeatherCode(Integer cityWeatherCode) {
        this.cityWeatherCode = cityWeatherCode;
    }

    public Double getHeight() {
        return height;
    }

    public void setHeight(Double height) {
        this.height = height;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public Double getLon() {
        return lon;
    }

    public void setLon(Double lon) {
        this.lon = lon;
    }

    public Integer getStationId() {
        return stationId;
    }

    public void setStationId(Integer stationId) {
        this.stationId = stationId;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    public String toString() {
        return "RelAdmWeatherStationEntity{" +
                "id=" + id +
                ", code=" + code +
                ", name='" + name + '\'' +
                ", cityCode=" + cityCode +
                ", cityName='" + cityName + '\'' +
                ", proCode=" + proCode +
                ", proName='" + proName + '\'' +
                ", cityWeatherCode=" + cityWeatherCode +
                ", height=" + height +
                ", lat=" + lat +
                ", lon=" + lon +
                ", stationId=" + stationId +
                ", memo='" + memo + '\'' +
                '}';
    }
}
