package com.xkrs.microservice.model.entity;

import javax.persistence.*;

/**
 * DicLandClassify 表实体类
 * @author tajochen
 */
@Entity
@Table(name="monitoring_station")
public class MonitoringStationEntity {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "dic_crop_classify_seq_gen")
    @SequenceGenerator(name = "dic_crop_classify_seq_gen", sequenceName = "dic_crop_classify_seq",allocationSize = 1)
    private Integer id;

    @Column( nullable = false, columnDefinition = "int4")
    private Integer code;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String name;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String memo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    public String toString() {
        return "DicCropClassifyEntity{" +
                "id=" + id +
                ", code=" + code +
                ", name='" + name + '\'' +
                ", memo='" + memo + '\'' +
                '}';
    }
}
