package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;

import java.time.LocalDate;
import java.time.LocalDateTime;


/**
 * SysUser 表实体类
 * @author tajochen
 */
@Entity
@Table(name="sys_user")
public class SysUserEntity implements Serializable {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "sys_user_seq_gen")
    @SequenceGenerator(name = "sys_user_seq_gen", sequenceName = "sys_user_seq",allocationSize = 1)
    private Integer id;

    @Column(length = 32, nullable = false, unique = true, columnDefinition = "varchar(32)")
    private String userName;

    @Column(length = 32, columnDefinition = "varchar(32)")
    private String nickName;

    @Column(length = 32, unique = true,columnDefinition = "varchar(32)")
    private String userCode;

    @Column(length = 32, columnDefinition = "varchar(32)")
    private String realName;

    @Column(length = 64, nullable = false, columnDefinition = "varchar(64)")
    private String password;

    @Column(length = 32, nullable = false, columnDefinition = "varchar(32)")
    private String salt;

    @Column(columnDefinition = "smallint")
    private Integer sex;

    @Column(length = 16, unique = true, columnDefinition = "varchar(16)")
    private String telephone;

    @Column(length = 32, columnDefinition = "varchar(32)")
    private String email;

    private Integer admCode;

    @Column(length = 64,columnDefinition = "varchar(64)")
    private String address;

    private LocalDate birthday;

    @Column(length = 128,columnDefinition = "varchar(128)")
    private String signature;

    private Integer portraitId;

    @Column(nullable = false)
    private Integer activeFlag;

    @Column(nullable = false,columnDefinition = "smallint")
    private Integer statusCode;

    @Column(nullable = false)
    private LocalDateTime addTime;

    private LocalDateTime lastEntryTime;

    @Column(length = 64,columnDefinition = "varchar(64)")
    private String lastEntryIp;

    @Column(length = 128,columnDefinition = "varchar(128)")
    private String memo;

    @Column(nullable = false)
    private Integer deleteFlag;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getAdmCode() {
        return admCode;
    }

    public void setAdmCode(Integer admCode) {
        this.admCode = admCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public LocalDate getBirthday() {
        return birthday;
    }

    public void setBirthday(LocalDate birthday) {
        this.birthday = birthday;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public Integer getPortraitId() {
        return portraitId;
    }

    public void setPortraitId(Integer portraitId) {
        this.portraitId = portraitId;
    }

    public Integer getActiveFlag() {
        return activeFlag;
    }

    public void setActiveFlag(Integer activeFlag) {
        this.activeFlag = activeFlag;
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
    }

    public LocalDateTime getAddTime() {
        return addTime;
    }

    public void setAddTime(LocalDateTime addTime) {
        this.addTime = addTime;
    }

    public LocalDateTime getLastEntryTime() {
        return lastEntryTime;
    }

    public void setLastEntryTime(LocalDateTime lastEntryTime) {
        this.lastEntryTime = lastEntryTime;
    }

    public String getLastEntryIp() {
        return lastEntryIp;
    }

    public void setLastEntryIp(String lastEntryIp) {
        this.lastEntryIp = lastEntryIp;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    public String toString() {
        return "SysUserEntity{" +
                "id=" + id +
                ", userName='" + userName + '\'' +
                ", nickName='" + nickName + '\'' +
                ", userCode='" + userCode + '\'' +
                ", realName='" + realName + '\'' +
                ", password='" + password + '\'' +
                ", salt='" + salt + '\'' +
                ", sex=" + sex +
                ", telephone='" + telephone + '\'' +
                ", email='" + email + '\'' +
                ", admCode=" + admCode +
                ", address='" + address + '\'' +
                ", birthday=" + birthday +
                ", signature='" + signature + '\'' +
                ", portraitId=" + portraitId +
                ", activeFlag=" + activeFlag +
                ", statusCode=" + statusCode +
                ", addTime=" + addTime +
                ", lastEntryTime=" + lastEntryTime +
                ", lastEntryIp='" + lastEntryIp + '\'' +
                ", memo='" + memo + '\'' +
                ", deleteFlag=" + deleteFlag +
                '}';
    }
}