package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * TifProductEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="tif_product")
public class TifProductEntity {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "tif_product_seq_gen")
    @SequenceGenerator(name = "tif_product_seq_gen", sequenceName = "tif_product_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 128,nullable = false,unique = true, columnDefinition = "varchar(128)")
    private String productCode;

    private Integer admCode;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String admName;

    private LocalDate productDate;

    @Column(length = 64,nullable = false, columnDefinition = "varchar(64)")
    private String productType;

    @Column(length = 128,nullable = false, columnDefinition = "varchar(128)")
    private String fileName;

    @Column(length = 255,nullable = false, columnDefinition = "varchar(255)")
    private String filePath;

    @Column(length = 192, columnDefinition = "varchar(192)")
    private String fileMd5;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String fileSize;

    @Column(length = 255, columnDefinition = "varchar(255)")
    private String thumbnailPath;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String memo;

    private LocalDateTime createTime;

    @Column(length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Integer getAdmCode() {
        return admCode;
    }

    public void setAdmCode(Integer admCode) {
        this.admCode = admCode;
    }

    public String getAdmName() {
        return admName;
    }

    public void setAdmName(String admName) {
        this.admName = admName;
    }

    public LocalDate getProductDate() {
        return productDate;
    }

    public void setProductDate(LocalDate productDate) {
        this.productDate = productDate;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileMd5() {
        return fileMd5;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public String getFileSize() {
        return fileSize;
    }

    public void setFileSize(String fileSize) {
        this.fileSize = fileSize;
    }

    public String getThumbnailPath() {
        return thumbnailPath;
    }

    public void setThumbnailPath(String thumbnailPath) {
        this.thumbnailPath = thumbnailPath;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    @Override
    public String toString() {
        return "TifProductEntity{" +
                "id=" + id +
                ", productCode='" + productCode + '\'' +
                ", admCode=" + admCode +
                ", admName='" + admName + '\'' +
                ", productDate=" + productDate +
                ", productType='" + productType + '\'' +
                ", fileName='" + fileName + '\'' +
                ", filePath='" + filePath + '\'' +
                ", fileMd5='" + fileMd5 + '\'' +
                ", fileSize='" + fileSize + '\'' +
                ", thumbnailPath='" + thumbnailPath + '\'' +
                ", memo='" + memo + '\'' +
                ", createTime=" + createTime +
                ", addUserName='" + addUserName + '\'' +
                '}';
    }
}
