package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * TypicalFarmerEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="typical_farmer")
public class TypicalFarmerEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "typical_farmer_gen")
    @SequenceGenerator(name = "typical_farmer_seq_gen", sequenceName = "typical_farmer_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 16, columnDefinition = "varchar(16)", nullable = false)
    private String lxr;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String lxrid;

    @Column( length = 32, columnDefinition = "varchar(32)",unique = true, nullable = false)
    private String tel;

    private Integer qxdm;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String qxmc;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String xzdm;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String xzmc;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String address;

    private LocalDate strdate;

    private LocalDate enddate;

    @Column( length = 512, columnDefinition = "varchar(512)")
    private String xyzp;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String remark;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    private LocalDateTime createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getLxrid() {
        return lxrid;
    }

    public void setLxrid(String lxrid) {
        this.lxrid = lxrid;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public Integer getQxdm() {
        return qxdm;
    }

    public void setQxdm(Integer qxdm) {
        this.qxdm = qxdm;
    }

    public String getQxmc() {
        return qxmc;
    }

    public void setQxmc(String qxmc) {
        this.qxmc = qxmc;
    }

    public String getXzdm() {
        return xzdm;
    }

    public void setXzdm(String xzdm) {
        this.xzdm = xzdm;
    }

    public String getXzmc() {
        return xzmc;
    }

    public void setXzmc(String xzmc) {
        this.xzmc = xzmc;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public LocalDate getStrdate() {
        return strdate;
    }

    public void setStrdate(LocalDate strdate) {
        this.strdate = strdate;
    }

    public LocalDate getEnddate() {
        return enddate;
    }

    public void setEnddate(LocalDate enddate) {
        this.enddate = enddate;
    }

    public String getXyzp() {
        return xyzp;
    }

    public void setXyzp(String xyzp) {
        this.xyzp = xyzp;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "TypicalFarmerEntity{" +
                "id=" + id +
                ", lxr='" + lxr + '\'' +
                ", lxrid='" + lxrid + '\'' +
                ", tel='" + tel + '\'' +
                ", qxdm=" + qxdm +
                ", qxmc='" + qxmc + '\'' +
                ", xzdm='" + xzdm + '\'' +
                ", xzmc='" + xzmc + '\'' +
                ", address='" + address + '\'' +
                ", strdate=" + strdate +
                ", enddate=" + enddate +
                ", xyzp='" + xyzp + '\'' +
                ", remark='" + remark + '\'' +
                ", addUserName='" + addUserName + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
