package com.xkrs.microservice.model.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.micrometer.core.instrument.util.StringUtils;
import org.geolatte.geom.Geometry;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * TypicalPlotEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="typical_plot")
public class TypicalPlotEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "typical_plot_gen")
    @SequenceGenerator(name = "typical_plot_seq_gen", sequenceName = "typical_plot_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 32,unique = true,nullable = false, columnDefinition = "varchar(32)")
    private String dkbh;

    private Integer dsdm;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String dsmc;

    private Integer qxdm;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String qxmc;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String xzdm;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String xzmc;

    private Integer dlbm;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String dlmc;

    private Integer cbzwdm;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String cbzwmc;

    private Integer xbzwdm;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String xbzwmc;

    private Integer qdzwdm;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String qdzwmc;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String snyd;

    private Float tbmj;

    private Float xzb;

    private Float yzb;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String trlx;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String sysjq;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String dbgq;

    @Column( length = 16, columnDefinition = "varchar(16)")
    private String lxr;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String tel;

    @Column( length = 512, columnDefinition = "varchar(512)")
    private String dkzp;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String remark;

    private LocalDateTime createTime;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    private Geometry geom;

    @Transient
    private String wktGeom;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public Integer getDsdm() {
        return dsdm;
    }

    public void setDsdm(Integer dsdm) {
        this.dsdm = dsdm;
    }

    public String getDsmc() {
        return dsmc;
    }

    public void setDsmc(String dsmc) {
        this.dsmc = dsmc;
    }

    public Integer getQxdm() {
        return qxdm;
    }

    public void setQxdm(Integer qxdm) {
        this.qxdm = qxdm;
    }

    public String getQxmc() {
        return qxmc;
    }

    public void setQxmc(String qxmc) {
        this.qxmc = qxmc;
    }

    public String getXzdm() {
        return xzdm;
    }

    public void setXzdm(String xzdm) {
        this.xzdm = xzdm;
    }

    public String getXzmc() {
        return xzmc;
    }

    public void setXzmc(String xzmc) {
        this.xzmc = xzmc;
    }

    public Integer getDlbm() {
        return dlbm;
    }

    public void setDlbm(Integer dlbm) {
        this.dlbm = dlbm;
    }

    public String getDlmc() {
        return dlmc;
    }

    public void setDlmc(String dlmc) {
        this.dlmc = dlmc;
    }

    public Integer getCbzwdm() {
        return cbzwdm;
    }

    public void setCbzwdm(Integer cbzwdm) {
        this.cbzwdm = cbzwdm;
    }

    public String getCbzwmc() {
        return cbzwmc;
    }

    public void setCbzwmc(String cbzwmc) {
        this.cbzwmc = cbzwmc;
    }

    public Integer getXbzwdm() {
        return xbzwdm;
    }

    public void setXbzwdm(Integer xbzwdm) {
        this.xbzwdm = xbzwdm;
    }

    public String getXbzwmc() {
        return xbzwmc;
    }

    public void setXbzwmc(String xbzwmc) {
        this.xbzwmc = xbzwmc;
    }

    public Integer getQdzwdm() {
        return qdzwdm;
    }

    public void setQdzwdm(Integer qdzwdm) {
        this.qdzwdm = qdzwdm;
    }

    public String getQdzwmc() {
        return qdzwmc;
    }

    public void setQdzwmc(String qdzwmc) {
        this.qdzwmc = qdzwmc;
    }

    public String getSnyd() {
        return snyd;
    }

    public void setSnyd(String snyd) {
        this.snyd = snyd;
    }

    public Float getTbmj() {
        return tbmj;
    }

    public void setTbmj(Float tbmj) {
        this.tbmj = tbmj;
    }

    public Float getXzb() {
        return xzb;
    }

    public void setXzb(Float xzb) {
        this.xzb = xzb;
    }

    public Float getYzb() {
        return yzb;
    }

    public void setYzb(Float yzb) {
        this.yzb = yzb;
    }

    public String getTrlx() {
        return trlx;
    }

    public void setTrlx(String trlx) {
        this.trlx = trlx;
    }

    public String getSysjq() {
        return sysjq;
    }

    public void setSysjq(String sysjq) {
        this.sysjq = sysjq;
    }

    public String getDbgq() {
        return dbgq;
    }

    public void setDbgq(String dbgq) {
        this.dbgq = dbgq;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getDkzp() {
        return dkzp;
    }

    public void setDkzp(String dkzp) {
        this.dkzp = dkzp;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    @JsonIgnore
    public Geometry getGeom() {
        return geom;
    }

    @JsonIgnore
    public void setGeom(Geometry geom) {
        this.geom = geom;
    }

    public String getWktGeom() {
        if(StringUtils.isNotBlank(wktGeom)){
            return wktGeom;
        } else if(geom == null){
            return "";
        } else {
            return geom.toString();
        }
    }

    public void setWktGeom(String wktGeom) {
        this.wktGeom = wktGeom;
    }

    @Override
    public String toString() {
        return "TypicalPlotEntity{" +
                "id=" + id +
                ", dkbh='" + dkbh + '\'' +
                ", dsdm=" + dsdm +
                ", dsmc='" + dsmc + '\'' +
                ", qxdm=" + qxdm +
                ", qxmc='" + qxmc + '\'' +
                ", xzdm='" + xzdm + '\'' +
                ", xzmc='" + xzmc + '\'' +
                ", dlbm=" + dlbm +
                ", dlmc='" + dlmc + '\'' +
                ", cbzwdm=" + cbzwdm +
                ", cbzwmc='" + cbzwmc + '\'' +
                ", xbzwdm=" + xbzwdm +
                ", xbzwmc='" + xbzwmc + '\'' +
                ", qdzwdm=" + qdzwdm +
                ", qdzwmc='" + qdzwmc + '\'' +
                ", snyd='" + snyd + '\'' +
                ", tbmj=" + tbmj +
                ", xzb=" + xzb +
                ", yzb=" + yzb +
                ", trlx='" + trlx + '\'' +
                ", sysjq='" + sysjq + '\'' +
                ", dbgq='" + dbgq + '\'' +
                ", lxr='" + lxr + '\'' +
                ", tel='" + tel + '\'' +
                ", dkzp='" + dkzp + '\'' +
                ", remark='" + remark + '\'' +
                ", createTime=" + createTime +
                ", addUserName='" + addUserName + '\'' +
                ", geom=" + geom +
                ", wktGeom='" + wktGeom + '\'' +
                '}';
    }
}
