package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * TypicalPlotIrrigationEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="typical_plot_irrigation")
public class TypicalPlotIrrigationEntity implements Serializable {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "typical_plot_irrigation_gen")
    @SequenceGenerator(name = "typical_plot_irrigation_seq_gen", sequenceName = "typical_plot_irrigation_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 32, columnDefinition = "varchar(32)",unique = true, nullable = false)
    private String ggbh;

    @Column( nullable = false)
    private Integer qxbh;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String xzbh;

    @Column( length = 32, columnDefinition = "varchar(32)", nullable = false)
    private String dkbh;

    @Column( length = 64, columnDefinition = "varchar(64)",nullable = false)
    private String sylx;

    @Column( length = 64, columnDefinition = "varchar(64)",nullable = false)
    private String gglx;

    @Column( length = 64, columnDefinition = "varchar(64)", nullable = false)
    private String gcff;

    @Column(nullable = false)
    private Double ggysl;

    @Column(nullable = false)
    private LocalDateTime strtime;

    @Column(nullable = false)
    private LocalDateTime endtime;

    @Column( length = 512, columnDefinition = "varchar(512)")
    private String strzp;

    @Column( length = 512, columnDefinition = "varchar(512)")
    private String endzp;

    private Integer hsbj;

    private Integer qrbj;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String cropName;

    private Integer cropCode;

    private Double irrigationHour;

    private Double irrigationArea;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String remark;

    private LocalDateTime createTime;

    @Column( length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGgbh() {
        return ggbh;
    }

    public void setGgbh(String ggbh) {
        this.ggbh = ggbh;
    }

    public Integer getQxbh() {
        return qxbh;
    }

    public void setQxbh(Integer qxbh) {
        this.qxbh = qxbh;
    }

    public String getXzbh() {
        return xzbh;
    }

    public void setXzbh(String xzbh) {
        this.xzbh = xzbh;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getSylx() {
        return sylx;
    }

    public void setSylx(String sylx) {
        this.sylx = sylx;
    }

    public String getGglx() {
        return gglx;
    }

    public void setGglx(String gglx) {
        this.gglx = gglx;
    }

    public String getGcff() {
        return gcff;
    }

    public void setGcff(String gcff) {
        this.gcff = gcff;
    }

    public Double getGgysl() {
        return ggysl;
    }

    public void setGgysl(Double ggysl) {
        this.ggysl = ggysl;
    }

    public LocalDateTime getStrtime() {
        return strtime;
    }

    public void setStrtime(LocalDateTime strtime) {
        this.strtime = strtime;
    }

    public LocalDateTime getEndtime() {
        return endtime;
    }

    public void setEndtime(LocalDateTime endtime) {
        this.endtime = endtime;
    }

    public String getStrzp() {
        return strzp;
    }

    public void setStrzp(String strzp) {
        this.strzp = strzp;
    }

    public String getEndzp() {
        return endzp;
    }

    public void setEndzp(String endzp) {
        this.endzp = endzp;
    }

    public Integer getHsbj() {
        return hsbj;
    }

    public void setHsbj(Integer hsbj) {
        this.hsbj = hsbj;
    }

    public Integer getQrbj() {
        return qrbj;
    }

    public void setQrbj(Integer qrbj) {
        this.qrbj = qrbj;
    }

    public String getCropName() {
        return cropName;
    }

    public void setCropName(String cropName) {
        this.cropName = cropName;
    }

    public Integer getCropCode() {
        return cropCode;
    }

    public void setCropCode(Integer cropCode) {
        this.cropCode = cropCode;
    }

    public Double getIrrigationArea() {
        return irrigationArea;
    }

    public void setIrrigationArea(Double irrigationArea) {
        this.irrigationArea = irrigationArea;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    public Double getIrrigationHour() {
        return irrigationHour;
    }

    public void setIrrigationHour(Double irrigationHour) {
        this.irrigationHour = irrigationHour;
    }

    @Override
    public String toString() {
        return "TypicalPlotIrrigationEntity{" +
                "id=" + id +
                ", ggbh='" + ggbh + '\'' +
                ", qxbh=" + qxbh +
                ", xzbh='" + xzbh + '\'' +
                ", dkbh='" + dkbh + '\'' +
                ", sylx='" + sylx + '\'' +
                ", gglx='" + gglx + '\'' +
                ", gcff='" + gcff + '\'' +
                ", ggysl=" + ggysl +
                ", strtime=" + strtime +
                ", endtime=" + endtime +
                ", strzp='" + strzp + '\'' +
                ", endzp='" + endzp + '\'' +
                ", hsbj=" + hsbj +
                ", qrbj=" + qrbj +
                ", cropName='" + cropName + '\'' +
                ", cropCode=" + cropCode +
                ", irrigationHour=" + irrigationHour +
                ", irrigationArea=" + irrigationArea +
                ", remark='" + remark + '\'' +
                ", createTime=" + createTime +
                ", addUserName='" + addUserName + '\'' +
                '}';
    }

}
