package com.xkrs.microservice.model.entity;

import javax.persistence.*;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * WcsRecordEntity 表实体类
 * @author tajochen
 */
@Entity
@Table(name="wcs_record")
public class WcsRecordEntity {

    private static final long serialVersionUID = 4359709211352400087L;

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "wcs_record_seq_gen")
    @SequenceGenerator(name = "wcs_record_seq_gen", sequenceName = "wcs_record_seq",allocationSize = 1)
    private Integer id;

    @Column( length = 128,nullable = false,unique = true, columnDefinition = "varchar(128)")
    private String serviceCode;

    private Integer admCode;

    @Column( length = 64, columnDefinition = "varchar(64)")
    private String admName;

    private LocalDate productDate;

    @Column(length = 64,nullable = false, columnDefinition = "varchar(64)")
    private String productType;

    @Column(length = 128,nullable = false, columnDefinition = "varchar(128)")
    private String workSpace;

    @Column(length = 128,nullable = false, columnDefinition = "varchar(255)")
    private String layerName;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String srs;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String styleName;

    @Column(length = 128, columnDefinition = "varchar(128)")
    private String memo;

    private LocalDateTime createTime;

    @Column(length = 32, columnDefinition = "varchar(32)")
    private String addUserName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getServiceCode() {
        return serviceCode;
    }

    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode;
    }

    public Integer getAdmCode() {
        return admCode;
    }

    public void setAdmCode(Integer admCode) {
        this.admCode = admCode;
    }

    public String getAdmName() {
        return admName;
    }

    public void setAdmName(String admName) {
        this.admName = admName;
    }

    public LocalDate getProductDate() {
        return productDate;
    }

    public void setProductDate(LocalDate productDate) {
        this.productDate = productDate;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getWorkSpace() {
        return workSpace;
    }

    public void setWorkSpace(String workSpace) {
        this.workSpace = workSpace;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public String getSrs() {
        return srs;
    }

    public void setSrs(String srs) {
        this.srs = srs;
    }

    public String getStyleName() {
        return styleName;
    }

    public void setStyleName(String styleName) {
        this.styleName = styleName;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getAddUserName() {
        return addUserName;
    }

    public void setAddUserName(String addUserName) {
        this.addUserName = addUserName;
    }

    @Override
    public String toString() {
        return "WcsRecordEntity{" +
                "id=" + id +
                ", serviceCode='" + serviceCode + '\'' +
                ", admCode=" + admCode +
                ", admName='" + admName + '\'' +
                ", productDate=" + productDate +
                ", productType='" + productType + '\'' +
                ", workSpace='" + workSpace + '\'' +
                ", layerName='" + layerName + '\'' +
                ", srs='" + srs + '\'' +
                ", styleName='" + styleName + '\'' +
                ", memo='" + memo + '\'' +
                ", createTime=" + createTime +
                ", addUserName='" + addUserName + '\'' +
                '}';
    }
}
