package com.xkrs.microservice.model.entity;

import javax.persistence.*;

/**
 * @author XinYi Song
 * 天气的信息
 */
@Entity
@Table(name="weather")
public class WeatherEntity {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "weather_seq_gen")
    @SequenceGenerator(name = "weather_seq_gen", sequenceName = "weather_seq",allocationSize = 1)
    private Integer id;

    /**
     * 风速
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String windSpeed;

    /**
     * 雨量累计
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String rainfall;

    /**
     * 大气温度
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String atmosphericTemperature;

    /**
     * 大气湿度
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String atmosphericHumidity;

    /**
     * 数字气压
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String digitalAirPressure;

    /**
     * 太阳总辐射
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String totalSolarRadiation;

    /**
     * 风向
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String windDirection;

    /**
     * 辐射累计
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String radiationAccumulation;

    /**
     * 土温1
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilTemperatureOne;

    /**
     * 土湿1
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilWetOne;

    /**
     * 土温2
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilTemperatureTwo;

    /**
     * 土湿2
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilWetTwo;

    /**
     * 土温3
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilTemperatureThree;

    /**
     * 土湿3
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilWetThree;

    /**
     * 土温4
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilTemperatureFour;

    /**
     * 土湿4
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String soilWetFour;

    /**
     * ph值
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String phValue;

    /**
     * 日照时数
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String sunshineHours;

    /**
     * 二氧化碳
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String carbonDioxide;

    /**
     * 盐分
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String salt;

    /**
     * 时间
     */
    private String addTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWindSpeed() {
        return windSpeed;
    }

    public void setWindSpeed(String windSpeed) {
        this.windSpeed = windSpeed;
    }

    public String getRainfall() {
        return rainfall;
    }

    public void setRainfall(String rainfall) {
        this.rainfall = rainfall;
    }

    public String getAtmosphericTemperature() {
        return atmosphericTemperature;
    }

    public void setAtmosphericTemperature(String atmosphericTemperature) {
        this.atmosphericTemperature = atmosphericTemperature;
    }

    public String getAtmosphericHumidity() {
        return atmosphericHumidity;
    }

    public void setAtmosphericHumidity(String atmosphericHumidity) {
        this.atmosphericHumidity = atmosphericHumidity;
    }

    public String getDigitalAirPressure() {
        return digitalAirPressure;
    }

    public void setDigitalAirPressure(String digitalAirPressure) {
        this.digitalAirPressure = digitalAirPressure;
    }

    public String getTotalSolarRadiation() {
        return totalSolarRadiation;
    }

    public void setTotalSolarRadiation(String totalSolarRadiation) {
        this.totalSolarRadiation = totalSolarRadiation;
    }

    public String getWindDirection() {
        return windDirection;
    }

    public void setWindDirection(String windDirection) {
        this.windDirection = windDirection;
    }

    public String getRadiationAccumulation() {
        return radiationAccumulation;
    }

    public void setRadiationAccumulation(String radiationAccumulation) {
        this.radiationAccumulation = radiationAccumulation;
    }

    public String getSoilTemperatureOne() {
        return soilTemperatureOne;
    }

    public void setSoilTemperatureOne(String soilTemperatureOne) {
        this.soilTemperatureOne = soilTemperatureOne;
    }

    public String getSoilWetOne() {
        return soilWetOne;
    }

    public void setSoilWetOne(String soilWetOne) {
        this.soilWetOne = soilWetOne;
    }

    public String getSoilTemperatureTwo() {
        return soilTemperatureTwo;
    }

    public void setSoilTemperatureTwo(String soilTemperatureTwo) {
        this.soilTemperatureTwo = soilTemperatureTwo;
    }

    public String getSoilWetTwo() {
        return soilWetTwo;
    }

    public void setSoilWetTwo(String soilWetTwo) {
        this.soilWetTwo = soilWetTwo;
    }

    public String getSoilTemperatureThree() {
        return soilTemperatureThree;
    }

    public void setSoilTemperatureThree(String soilTemperatureThree) {
        this.soilTemperatureThree = soilTemperatureThree;
    }

    public String getSoilWetThree() {
        return soilWetThree;
    }

    public void setSoilWetThree(String soilWetThree) {
        this.soilWetThree = soilWetThree;
    }

    public String getSoilTemperatureFour() {
        return soilTemperatureFour;
    }

    public void setSoilTemperatureFour(String soilTemperatureFour) {
        this.soilTemperatureFour = soilTemperatureFour;
    }

    public String getSoilWetFour() {
        return soilWetFour;
    }

    public void setSoilWetFour(String soilWetFour) {
        this.soilWetFour = soilWetFour;
    }

    public String getPhValue() {
        return phValue;
    }

    public void setPhValue(String phValue) {
        this.phValue = phValue;
    }

    public String getSunshineHours() {
        return sunshineHours;
    }

    public void setSunshineHours(String sunshineHours) {
        this.sunshineHours = sunshineHours;
    }

    public String getCarbonDioxide() {
        return carbonDioxide;
    }

    public void setCarbonDioxide(String carbonDioxide) {
        this.carbonDioxide = carbonDioxide;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public String getAddTime() {
        return addTime;
    }

    public void setAddTime(String addTime) {
        this.addTime = addTime;
    }

    @Override
    public String toString() {
        return "WeatherEntity{" +
                "id=" + id +
                ", windSpeed='" + windSpeed + '\'' +
                ", rainfall='" + rainfall + '\'' +
                ", atmosphericTemperature='" + atmosphericTemperature + '\'' +
                ", atmosphericHumidity='" + atmosphericHumidity + '\'' +
                ", digitalAirPressure='" + digitalAirPressure + '\'' +
                ", totalSolarRadiation='" + totalSolarRadiation + '\'' +
                ", windDirection='" + windDirection + '\'' +
                ", radiationAccumulation='" + radiationAccumulation + '\'' +
                ", soilTemperatureOne='" + soilTemperatureOne + '\'' +
                ", soilWetOne='" + soilWetOne + '\'' +
                ", soilTemperatureTwo='" + soilTemperatureTwo + '\'' +
                ", soilWetTwo='" + soilWetTwo + '\'' +
                ", soilTemperatureThree='" + soilTemperatureThree + '\'' +
                ", soilWetThree='" + soilWetThree + '\'' +
                ", soilTemperatureFour='" + soilTemperatureFour + '\'' +
                ", soilWetFour='" + soilWetFour + '\'' +
                ", phValue='" + phValue + '\'' +
                ", sunshineHours='" + sunshineHours + '\'' +
                ", carbonDioxide='" + carbonDioxide + '\'' +
                ", salt='" + salt + '\'' +
                ", addTime='" + addTime + '\'' +
                '}';
    }
}
