package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.CropClassifyRecordQoInsert;
import com.xkrs.microservice.model.validation.CropClassifyRecordQoUpdate;
import com.xkrs.microservice.model.validation.IrrigationRecordQoInsert;
import com.xkrs.microservice.model.validation.IrrigationRecordQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * CropClassifyRecordQo
 * @author tajochen
 */
public class CropClassifyRecordQo {

    @NotNull(message = "{CropClassifyRecord.id.null}",groups={CropClassifyRecordQoUpdate.class})
    private Integer id;

    @NotNull(message = "{CropClassifyRecord.countyCode.null}",groups={CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private Integer countyCode;

    @NotBlank(message = "{CropClassifyRecord.countyName.null}",groups={CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    @Size(max = 32, message = "{CropClassifyRecord.countyName.length.illegal}",groups = {CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private String countyName;

    @NotBlank(message = "{CropClassifyRecord.townCode.null}",groups={CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    @Size(max = 16, message = "{CropClassifyRecord.townCode.length.illegal}",groups = {CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private String townCode;

    @NotBlank(message = "{CropClassifyRecord.townName.null}",groups={CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    @Size(max = 32, message = "{CropClassifyRecord.townName.length.illegal}",groups = {CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private String townName;

    @NotNull(message = "{CropClassifyRecord.cropCode.null}",groups={CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private Integer cropCode;

    @NotNull(message = "{CropClassifyRecord.cropDateTs.null}",groups={CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private Long cropDateTs;

    private Long area;

    @Size(max = 128, message = "{CropClassifyRecord.dataSource.length.illegal}",groups = {CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private String dataSource;

    @Size(max = 128, message = "{CropClassifyRecord.memo.length.illegal}",groups = {CropClassifyRecordQoInsert.class, CropClassifyRecordQoUpdate.class})
    private String memo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(Integer countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getTownCode() {
        return townCode;
    }

    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public Integer getCropCode() {
        return cropCode;
    }

    public void setCropCode(Integer cropCode) {
        this.cropCode = cropCode;
    }

    public Long getCropDateTs() {
        return cropDateTs;
    }

    public void setCropDateTs(Long cropDateTs) {
        this.cropDateTs = cropDateTs;
    }

    public Long getArea() {
        return area;
    }

    public void setArea(Long area) {
        this.area = area;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
