package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.FarmingInfoQoInsert;
import com.xkrs.microservice.model.validation.FarmingInfoQoUpdate;

import javax.persistence.Column;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * FarmingInfoQo
 * @author tajochen
 */
public class FarmingInfoQo {

    @NotNull(message = "{FarmingInfo.id.null}",groups={FarmingInfoQoUpdate.class})
    private Integer id;

    @NotBlank(message = "{FarmingInfo.dkbh.null}",groups = {FarmingInfoQoInsert.class, FarmingInfoQoUpdate.class})
    @Size(max = 32, message = "{FarmingInfo.dkbh.length.illegal}",groups = {FarmingInfoQoInsert.class, FarmingInfoQoUpdate.class})
    private String dkbh;

    @NotNull(message = "{FarmingInfo.qxbh.null}",groups={FarmingInfoQoInsert.class,FarmingInfoQoUpdate.class})
    private Integer qxbh;

    @NotBlank(message = "{FarmingInfo.zwmc.null}",groups = {FarmingInfoQoInsert.class, FarmingInfoQoUpdate.class})
    @Size(max = 32, message = "{FarmingInfo.zwmc.length.illegal}",groups = {FarmingInfoQoInsert.class, FarmingInfoQoUpdate.class})
    private String zwmc;

    private Integer zwdm;

    @Size(max = 512, message = "{FarmingInfo.nqzp.length.illegal}",groups = {FarmingInfoQoInsert.class, FarmingInfoQoUpdate.class})
    private String nqzp;

    @Size(max = 64, message = "{FarmingInfo.nqzt.length.illegal}",groups = {FarmingInfoQoInsert.class, FarmingInfoQoUpdate.class})
    private String nqzt;

    @Size(max = 64, message = "{FarmingInfo.remark.length.illegal}",groups = {FarmingInfoQoInsert.class, FarmingInfoQoUpdate.class})
    private String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getQxbh() {
        return qxbh;
    }

    public void setQxbh(Integer qxbh) {
        this.qxbh = qxbh;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public Integer getZwdm() {
        return zwdm;
    }

    public void setZwdm(Integer zwdm) {
        this.zwdm = zwdm;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getNqzp() {
        return nqzp;
    }

    public void setNqzp(String nqzp) {
        this.nqzp = nqzp;
    }

    public String getNqzt() {
        return nqzt;
    }

    public void setNqzt(String nqzt) {
        this.nqzt = nqzt;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
