package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.IndependentCheckQoInsert;
import com.xkrs.microservice.model.validation.IndependentCheckQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * IndependentCheckQo
 * @author tajochen
 */
public class IndependentCheckQo {

    @NotNull(message = "{IndependentCheck.id.null}",groups={IndependentCheckQoUpdate.class})
    private Integer id;

    @NotNull(message = "{IndependentCheck.qxdm.null}",groups={IndependentCheckQoInsert.class,IndependentCheckQoUpdate.class})
    private Integer qxdm;

    @NotBlank(message = "{IndependentCheck.qxmc.null}",groups = {IndependentCheckQoInsert.class, IndependentCheckQoUpdate.class})
    @Size(max = 32, message = "{IndependentCheck.qxmc.length.illegal}",groups = {IndependentCheckQoInsert.class, IndependentCheckQoUpdate.class})
    private String qxmc;

    private Integer zwdm;

    @Size(max = 32, message = "{IndependentCheck.zwmc.length.illegal}",groups = {IndependentCheckQoInsert.class, IndependentCheckQoUpdate.class})
    private String zwmc;

    private Double lai;

    private Double swc;

    private Integer ggzt;

    @Size(max = 512, message = "{IndependentCheck.hczp.length.illegal}",groups = {IndependentCheckQoInsert.class, IndependentCheckQoUpdate.class})
    private String hczp;

    private Integer sfwrj;

    private Integer sdcjgp;

    private Double xzb;

    private Double yzb;

    @Size(max = 64, message = "{IndependentCheck.remark.length.illegal}",groups = {IndependentCheckQoInsert.class, IndependentCheckQoUpdate.class})
    private String remark;

    private String geomStr;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getQxdm() {
        return qxdm;
    }

    public void setQxdm(Integer qxdm) {
        this.qxdm = qxdm;
    }

    public String getQxmc() {
        return qxmc;
    }

    public void setQxmc(String qxmc) {
        this.qxmc = qxmc;
    }

    public Integer getZwdm() {
        return zwdm;
    }

    public void setZwdm(Integer zwdm) {
        this.zwdm = zwdm;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public Double getLai() {
        return lai;
    }

    public void setLai(Double lai) {
        this.lai = lai;
    }

    public Double getSwc() {
        return swc;
    }

    public void setSwc(Double swc) {
        this.swc = swc;
    }

    public Integer getGgzt() {
        return ggzt;
    }

    public void setGgzt(Integer ggzt) {
        this.ggzt = ggzt;
    }

    public String getHczp() {
        return hczp;
    }

    public void setHczp(String hczp) {
        this.hczp = hczp;
    }

    public Integer getSfwrj() {
        return sfwrj;
    }

    public void setSfwrj(Integer sfwrj) {
        this.sfwrj = sfwrj;
    }

    public Integer getSdcjgp() {
        return sdcjgp;
    }

    public void setSdcjgp(Integer sdcjgp) {
        this.sdcjgp = sdcjgp;
    }

    public Double getXzb() {
        return xzb;
    }

    public void setXzb(Double xzb) {
        this.xzb = xzb;
    }

    public Double getYzb() {
        return yzb;
    }

    public void setYzb(Double yzb) {
        this.yzb = yzb;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getGeomStr() {
        return geomStr;
    }

    public void setGeomStr(String geomStr) {
        this.geomStr = geomStr;
    }
}
