package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.IrrigationCheckQoInsert;
import com.xkrs.microservice.model.validation.IrrigationCheckQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * IrrigationCheckQo
 * @author tajochen
 */
public class IrrigationCheckQo {

    @NotNull(message = "{IrrigationCheck.id.null}",groups={IrrigationCheckQoUpdate.class})
    private Integer id;

    @NotBlank(message = "{IrrigationCheck.ggbh.null}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    @Size(max = 32, message = "{IrrigationCheck.ggbh.length.illegal}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    private String ggbh;

    @NotBlank(message = "{IrrigationCheck.hsbh.null}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    @Size(max = 32, message = "{IrrigationCheck.hsbh.length.illegal}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    private String hsbh;

    @NotNull(message = "{IrrigationCheck.qxbh.null}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    private Integer qxbh;

    @NotBlank(message = "{IrrigationCheck.dkbh.null}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    @Size(max = 32, message = "{IrrigationCheck.dkbh.length.illegal}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    private String dkbh;

    @Size(max = 512, message = "{IrrigationCheck.hszp.length.illegal}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    private String hszp;

    @NotNull(message = "{IrrigationCheck.hszt.null}",groups={IrrigationCheckQoUpdate.class})
    private Integer hszt;

    private Double xzb;

    private Double yzb;

    @Size(max = 64, message = "{IrrigationCheck.remark.length.illegal}",groups = {IrrigationCheckQoInsert.class, IrrigationCheckQoUpdate.class})
    private String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getHsbh() {
        return hsbh;
    }

    public void setHsbh(String hsbh) {
        this.hsbh = hsbh;
    }

    public String getGgbh() {
        return ggbh;
    }

    public void setGgbh(String ggbh) {
        this.ggbh = ggbh;
    }

    public Integer getQxbh() {
        return qxbh;
    }

    public void setQxbh(Integer qxbh) {
        this.qxbh = qxbh;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getHszp() {
        return hszp;
    }

    public void setHszp(String hszp) {
        this.hszp = hszp;
    }

    public Integer getHszt() {
        return hszt;
    }

    public void setHszt(Integer hszt) {
        this.hszt = hszt;
    }

    public Double getXzb() {
        return xzb;
    }

    public void setXzb(Double xzb) {
        this.xzb = xzb;
    }

    public Double getYzb() {
        return yzb;
    }

    public void setYzb(Double yzb) {
        this.yzb = yzb;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
