package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.IrrigationRecordQoInsert;
import com.xkrs.microservice.model.validation.IrrigationRecordQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * IrrigationSarRecordQo
 * @author tajochen
 */
public class IrrigationSarRecordQo {

    @NotNull(message = "{IrrigationSarRecord.id.null}",groups={IrrigationRecordQoUpdate.class})
    private Integer id;

    @NotBlank(message = "{IrrigationSarRecord.countyCode.null}",groups={IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private Integer countyCode;

    @NotBlank(message = "{IrrigationSarRecord.countyName.null}",groups={IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    @Size(max = 32, message = "{IrrigationSarRecord.countyName.length.illegal}",groups = {IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private String countyName;

    @NotBlank(message = "{IrrigationSarRecord.townCode.null}",groups={IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    @Size(max = 16, message = "{IrrigationSarRecord.townCode.length.illegal}",groups = {IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private String townCode;

    @NotBlank(message = "{IrrigationSarRecord.townName.null}",groups={IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    @Size(max = 32, message = "{IrrigationSarRecord.townName.length.illegal}",groups = {IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private String townName;

    @NotBlank(message = "{IrrigationSarRecord.cropName.null}",groups={IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    @Size(max = 32, message = "{IrrigationSarRecord.cropName.length.illegal}",groups = {IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private String cropName;

    private Integer cropCode;

    @NotNull(message = "{IrrigationSarRecord.irrigationDateTs.null}",groups={IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private Long irrigationDateTs;

    private Double area;

    @Size(max = 128, message = "{IrrigationSarRecord.dataSource.length.illegal}",groups = {IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private String dataSource;

    @Size(max = 128, message = "{IrrigationSarRecord.memo.length.illegal}",groups = {IrrigationRecordQoInsert.class, IrrigationRecordQoUpdate.class})
    private String memo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(Integer countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getTownCode() {
        return townCode;
    }

    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public Long getIrrigationDateTs() {
        return irrigationDateTs;
    }

    public void setIrrigationDateTs(Long irrigationDateTs) {
        this.irrigationDateTs = irrigationDateTs;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getCropName() {
        return cropName;
    }

    public void setCropName(String cropName) {
        this.cropName = cropName;
    }

    public Integer getCropCode() {
        return cropCode;
    }

    public void setCropCode(Integer cropCode) {
        this.cropCode = cropCode;
    }
}
