package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.TifProductQoInsert;
import com.xkrs.microservice.model.validation.TifProductQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * TifProductQo
 * @author tajochen
 */
public class TifProductQo {

    @NotNull(message = "{TifProduct.id.null}",groups={TifProductQoUpdate.class})
    private Integer id;

    @NotBlank(message = "{TifProduct.productCode.null}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    @Size(max = 128, message = "{TifProduct.productCode.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String productCode;

    private Long productDateTs;

    @NotBlank(message = "{TifProduct.productType.null}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    @Size(max = 64, message = "{TifProduct.productType.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String productType;

    @NotNull(message = "{TifProduct.admCode.null}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private Integer admCode;

    @NotBlank(message = "{TifProduct.admName.null}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    @Size(max = 64, message = "{TifProduct.admName.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String admName;

    @NotBlank(message = "{TifProduct.fileName.null}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    @Size(max = 128, message = "{TifProduct.fileName.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String fileName;

    @NotBlank(message = "{TifProduct.filePath.null}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    @Size(max = 255, message = "{TifProduct.filePath.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String filePath;

    @Size(max = 192, message = "{TifProduct.fileMd5.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String fileMd5;

    @Size(max = 128, message = "{TifProduct.fileSize.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String fileSize;

    @Size(max = 255, message = "{TifProduct.thumbnailPath.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String thumbnailPath;

    @Size(max = 128, message = "{TifProduct.memo.length.illegal}",groups = {TifProductQoInsert.class, TifProductQoUpdate.class})
    private String memo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Long getProductDateTs() {
        return productDateTs;
    }

    public void setProductDateTs(Long productDateTs) {
        this.productDateTs = productDateTs;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Integer getAdmCode() {
        return admCode;
    }

    public void setAdmCode(Integer admCode) {
        this.admCode = admCode;
    }

    public String getAdmName() {
        return admName;
    }

    public void setAdmName(String admName) {
        this.admName = admName;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileMd5() {
        return fileMd5;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public String getFileSize() {
        return fileSize;
    }

    public void setFileSize(String fileSize) {
        this.fileSize = fileSize;
    }

    public String getThumbnailPath() {
        return thumbnailPath;
    }

    public void setThumbnailPath(String thumbnailPath) {
        this.thumbnailPath = thumbnailPath;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
