package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.TypicalPlotIrrigationQoInsert;
import com.xkrs.microservice.model.validation.TypicalPlotIrrigationQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * TypicalPlotIrrigationQo
 * @author tajochen
 */
public class TypicalPlotIrrigationQo {

    @NotNull(message = "{TypicalPlotIrrigation.id.null}",groups={TypicalPlotIrrigationQoUpdate.class})
    private Integer id;

    @NotBlank(message = "{TypicalPlotIrrigation.ggbh.null}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    @Size(max = 32, message = "{TypicalPlotIrrigation.ggbh.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String ggbh;

    @NotNull(message = "{TypicalPlotIrrigation.qxbh.null}",groups={TypicalPlotIrrigationQoInsert.class,TypicalPlotIrrigationQoUpdate.class})
    private Integer qxbh;

    @NotNull(message = "{TypicalPlotIrrigation.xzbh.null}",groups={TypicalPlotIrrigationQoInsert.class,TypicalPlotIrrigationQoUpdate.class})
    private String xzbh;

    @NotBlank(message = "{TypicalPlotIrrigation.dkbh.null}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    @Size(max = 32, message = "{TypicalPlotIrrigation.dkbh.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String dkbh;

    @Size(max = 64, message = "{TypicalPlotIrrigation.sylx.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String sylx;

    @Size(max = 64, message = "{TypicalPlotIrrigation.gglx.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String gglx;

    @Size(max = 64, message = "{TypicalPlotIrrigation.gcff.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String gcff;

    @NotNull(message = "{TypicalPlotIrrigation.ggysl.null}",groups={TypicalPlotIrrigationQoInsert.class,TypicalPlotIrrigationQoUpdate.class})
    private Double ggysl;

    @NotNull(message = "{TypicalPlotIrrigation.strtimeTs.null}",groups={TypicalPlotIrrigationQoInsert.class,TypicalPlotIrrigationQoUpdate.class})
    private Long strtimeTs;

    @NotNull(message = "{TypicalPlotIrrigation.endtimeTs.null}",groups={TypicalPlotIrrigationQoInsert.class,TypicalPlotIrrigationQoUpdate.class})
    private Long endtimeTs;

    @Size(max = 512, message = "{TypicalPlotIrrigation.strzp.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String strzp;

    @Size(max = 512, message = "{TypicalPlotIrrigation.endzp.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String endzp;

    private Integer hsbj;

    private Integer qrbj;

    @NotNull(message = "{TypicalPlotIrrigation.cropName.null}",groups={TypicalPlotIrrigationQoInsert.class,TypicalPlotIrrigationQoUpdate.class})
    private String cropName;

    private Integer cropCode;

    private Double irrigationHour;

    private Double irrigationArea;

    @Size(max = 64, message = "{TypicalPlotIrrigation.remark.length.illegal}",groups = {TypicalPlotIrrigationQoInsert.class, TypicalPlotIrrigationQoUpdate.class})
    private String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGgbh() {
        return ggbh;
    }

    public void setGgbh(String ggbh) {
        this.ggbh = ggbh;
    }

    public Integer getQxbh() {
        return qxbh;
    }

    public void setQxbh(Integer qxbh) {
        this.qxbh = qxbh;
    }

    public String getXzbh() {
        return xzbh;
    }

    public void setXzbh(String xzbh) {
        this.xzbh = xzbh;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getSylx() {
        return sylx;
    }

    public void setSylx(String sylx) {
        this.sylx = sylx;
    }

    public String getGglx() {
        return gglx;
    }

    public void setGglx(String gglx) {
        this.gglx = gglx;
    }

    public String getGcff() {
        return gcff;
    }

    public void setGcff(String gcff) {
        this.gcff = gcff;
    }

    public Double getGgysl() {
        return ggysl;
    }

    public void setGgysl(Double ggysl) {
        this.ggysl = ggysl;
    }

    public Long getStrtimeTs() {
        return strtimeTs;
    }

    public void setStrtimeTs(Long strtimeTs) {
        this.strtimeTs = strtimeTs;
    }

    public Long getEndtimeTs() {
        return endtimeTs;
    }

    public void setEndtimeTs(Long endtimeTs) {
        this.endtimeTs = endtimeTs;
    }

    public String getStrzp() {
        return strzp;
    }

    public void setStrzp(String strzp) {
        this.strzp = strzp;
    }

    public String getEndzp() {
        return endzp;
    }

    public void setEndzp(String endzp) {
        this.endzp = endzp;
    }

    public Integer getHsbj() {
        return hsbj;
    }

    public void setHsbj(Integer hsbj) {
        this.hsbj = hsbj;
    }

    public Integer getQrbj() {
        return qrbj;
    }

    public void setQrbj(Integer qrbj) {
        this.qrbj = qrbj;
    }

    public String getCropName() {
        return cropName;
    }

    public void setCropName(String cropName) {
        this.cropName = cropName;
    }

    public Integer getCropCode() {
        return cropCode;
    }

    public void setCropCode(Integer cropCode) {
        this.cropCode = cropCode;
    }

    public Double getIrrigationHour() {
        return irrigationHour;
    }

    public void setIrrigationHour(Double irrigationHour) {
        this.irrigationHour = irrigationHour;
    }

    public Double getIrrigationArea() {
        return irrigationArea;
    }

    public void setIrrigationArea(Double irrigationArea) {
        this.irrigationArea = irrigationArea;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
