package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.TypicalPlotQoInsert;
import com.xkrs.microservice.model.validation.TypicalPlotQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * TypicalPlotQo
 * @author tajochen
 */
public class TypicalPlotQo {

    @NotNull(message = "{TypicalPlot.id.null}",groups={TypicalPlotQoUpdate.class})
    private Integer id;

    @NotBlank(message = "{TypicalPlot.dkbh.null}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    @Size(max = 32, message = "{TypicalPlot.dkbh.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String dkbh;

    private Integer dsdm;

    @Size(max = 32, message = "{TypicalPlot.dsmc.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String dsmc;

    private Integer qxdm;

    @Size(max = 32, message = "{TypicalPlot.qxmc.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String qxmc;

    @Size(max = 32, message = "{TypicalPlot.xzdm.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String xzdm;

    @Size(max = 32, message = "{TypicalPlot.xzmc.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String xzmc;

    private Integer dlbm;

    @Size(max = 64, message = "{TypicalPlot.dlmc.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String dlmc;

    private Integer cbzwdm;

    @Size(max = 64, message = "{TypicalPlot.cbzwmc.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String cbzwmc;

    private Integer xbzwdm;

    @Size(max = 64, message = "{TypicalPlot.xbzwmc.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String xbzwmc;

    private Integer qdzwdm;

    @Size(max = 64, message = "{TypicalPlot.qdzwmc.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String qdzwmc;

    @Size(max = 64, message = "{TypicalPlot.snyd.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String snyd;

    private Float tbmj;

    private Float xzb;

    private Float yzb;

    @Size(max = 64, message = "{TypicalPlot.trlx.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String trlx;

    @Size(max = 64, message = "{TypicalPlot.sysjq.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String sysjq;

    @Size(max = 64, message = "{TypicalPlot.dbgq.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String dbgq;

    @Size(max = 16, message = "{TypicalPlot.lxr.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String lxr;

    @Size(max = 32, message = "{TypicalPlot.tel.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String tel;

    @Size(max = 512, message = "{TypicalPlot.dkzp.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String dkzp;

    @Size(max = 64, message = "{TypicalPlot.remark.length.illegal}",groups = {TypicalPlotQoInsert.class, TypicalPlotQoUpdate.class})
    private String remark;

    private String geomStr;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public Integer getDsdm() {
        return dsdm;
    }

    public void setDsdm(Integer dsdm) {
        this.dsdm = dsdm;
    }

    public String getDsmc() {
        return dsmc;
    }

    public void setDsmc(String dsmc) {
        this.dsmc = dsmc;
    }

    public Integer getQxdm() {
        return qxdm;
    }

    public void setQxdm(Integer qxdm) {
        this.qxdm = qxdm;
    }

    public String getQxmc() {
        return qxmc;
    }

    public void setQxmc(String qxmc) {
        this.qxmc = qxmc;
    }

    public String getXzdm() {
        return xzdm;
    }

    public void setXzdm(String xzdm) {
        this.xzdm = xzdm;
    }

    public String getXzmc() {
        return xzmc;
    }

    public void setXzmc(String xzmc) {
        this.xzmc = xzmc;
    }

    public Integer getDlbm() {
        return dlbm;
    }

    public void setDlbm(Integer dlbm) {
        this.dlbm = dlbm;
    }

    public String getDlmc() {
        return dlmc;
    }

    public void setDlmc(String dlmc) {
        this.dlmc = dlmc;
    }

    public Integer getCbzwdm() {
        return cbzwdm;
    }

    public void setCbzwdm(Integer cbzwdm) {
        this.cbzwdm = cbzwdm;
    }

    public String getCbzwmc() {
        return cbzwmc;
    }

    public void setCbzwmc(String cbzwmc) {
        this.cbzwmc = cbzwmc;
    }

    public Integer getXbzwdm() {
        return xbzwdm;
    }

    public void setXbzwdm(Integer xbzwdm) {
        this.xbzwdm = xbzwdm;
    }

    public String getXbzwmc() {
        return xbzwmc;
    }

    public void setXbzwmc(String xbzwmc) {
        this.xbzwmc = xbzwmc;
    }

    public Integer getQdzwdm() {
        return qdzwdm;
    }

    public void setQdzwdm(Integer qdzwdm) {
        this.qdzwdm = qdzwdm;
    }

    public String getQdzwmc() {
        return qdzwmc;
    }

    public void setQdzwmc(String qdzwmc) {
        this.qdzwmc = qdzwmc;
    }

    public String getSnyd() {
        return snyd;
    }

    public void setSnyd(String snyd) {
        this.snyd = snyd;
    }

    public Float getTbmj() {
        return tbmj;
    }

    public void setTbmj(Float tbmj) {
        this.tbmj = tbmj;
    }

    public Float getXzb() {
        return xzb;
    }

    public void setXzb(Float xzb) {
        this.xzb = xzb;
    }

    public Float getYzb() {
        return yzb;
    }

    public void setYzb(Float yzb) {
        this.yzb = yzb;
    }

    public String getTrlx() {
        return trlx;
    }

    public void setTrlx(String trlx) {
        this.trlx = trlx;
    }

    public String getSysjq() {
        return sysjq;
    }

    public void setSysjq(String sysjq) {
        this.sysjq = sysjq;
    }

    public String getDbgq() {
        return dbgq;
    }

    public void setDbgq(String dbgq) {
        this.dbgq = dbgq;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getDkzp() {
        return dkzp;
    }

    public void setDkzp(String dkzp) {
        this.dkzp = dkzp;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getGeomStr() {
        return geomStr;
    }

    public void setGeomStr(String geomStr) {
        this.geomStr = geomStr;
    }
}
