package com.xkrs.microservice.model.qo;

import com.xkrs.microservice.model.validation.WcsRecordQoInsert;
import com.xkrs.microservice.model.validation.WcsRecordQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * WcsRecordQo
 * @author tajochen
 */
public class WcsRecordQo {

    @NotNull(message = "{WcsRecord.id.null}",groups={WcsRecordQoUpdate.class})
    private Integer id;

    @NotBlank(message = "{WcsRecord.productCode.null}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    @Size(max = 128, message = "{WcsRecord.productCode.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String serviceCode;

    private Long productDateTs;

    @NotBlank(message = "{WcsRecord.productType.null}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    @Size(max = 64, message = "{WcsRecord.productType.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String productType;

    @NotNull(message = "{WcsRecord.admCode.null}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private Integer admCode;

    @NotBlank(message = "{WcsRecord.admName.null}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    @Size(max = 64, message = "{TifProduct.admName.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String admName;

    @NotBlank(message = "{WcsRecord.fileName.null}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    @Size(max = 128, message = "{WcsRecord.fileName.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String workSpace;

    @NotBlank(message = "{WcsRecord.filePath.null}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    @Size(max = 128, message = "{WcsRecord.filePath.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String layerName;

    @Size(max = 128, message = "{WcsRecord.fileMd5.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String srs;

    @Size(max = 128, message = "{WcsRecord.fileSize.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String styleName;

    @Size(max = 128, message = "{WcsRecord.memo.length.illegal}",groups = {WcsRecordQoInsert.class, WcsRecordQoUpdate.class})
    private String memo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getServiceCode() {
        return serviceCode;
    }

    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode;
    }

    public Long getProductDateTs() {
        return productDateTs;
    }

    public void setProductDateTs(Long productDateTs) {
        this.productDateTs = productDateTs;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Integer getAdmCode() {
        return admCode;
    }

    public void setAdmCode(Integer admCode) {
        this.admCode = admCode;
    }

    public String getAdmName() {
        return admName;
    }

    public void setAdmName(String admName) {
        this.admName = admName;
    }

    public String getWorkSpace() {
        return workSpace;
    }

    public void setWorkSpace(String workSpace) {
        this.workSpace = workSpace;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public String getSrs() {
        return srs;
    }

    public void setSrs(String srs) {
        this.srs = srs;
    }

    public String getStyleName() {
        return styleName;
    }

    public void setStyleName(String styleName) {
        this.styleName = styleName;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
