package com.xkrs.microservice.service;

import com.xkrs.microservice.model.vo.ShpCityVo;
import com.xkrs.microservice.model.vo.ShpCountyVo;

/**
 * 行政区划接口
 * @author tajochen
 */
public interface AdministrativeDivisionService {

    /**
     * 获取所有地级市
     * @return
     */
    Iterable<ShpCityVo> getAllCity();

    /**
     * 获取所有地级市根据省级代码
     * @param proCode 省级代码
     * @return
     */
    Iterable<ShpCityVo> getAllCityByProvinceCode(Integer proCode);

    /**
     * 获取地级市根据指定地级市编码
     * @param code 地级市代码
     * @return
     */
    ShpCityVo getCityByCityCode(Integer code);

    /**
     * 获取所有区县
     * @return
     */
    Iterable<ShpCountyVo> getAllCounty();

    /**
     * 获取所有区县根据省级代码
     * @param proCode 省级代码
     * @return
     */
    Iterable<ShpCountyVo> getAllCountyByProvinceCode(Integer proCode);

    /**
     * 获取所有区县根据地级市代码
     * @param cityCode 城市代码
     * @return
     */
    Iterable<ShpCountyVo> getAllCountyByCityCode(Integer cityCode);

    /**
     * 获取指定区县根据区县代码
     * @param countyCode 区县代码
     * @return
     */
    ShpCountyVo getCountyByCountyCode(Integer countyCode);

}
