package com.xkrs.microservice.service;

import com.xkrs.microservice.model.entity.HydrologicalStationEntity;
import com.xkrs.microservice.model.qo.HydrologicalStationQo;

import java.time.LocalDateTime;

/**
 * 水文站点服务接口
 * @author tajochen
 */
public interface HydrologicalStationService {

    /**
     * 获取所有水文站点数据
     * @return
     */
    Iterable<HydrologicalStationEntity> getAllRecord();

    /**
     * 获取时间段水文站点数据
     * @param sTime 开始时间
     * @param eTime 结束时间
     * @return
     */
    Iterable<HydrologicalStationEntity> getByTime(LocalDateTime sTime,LocalDateTime eTime);

    /**
     * 新增水文站点数据
     * @param hydrologicalStationQo 水文站点数据
     */
    void add(HydrologicalStationQo hydrologicalStationQo);

    /**
     * 删除水文站点数据
     * @param id 编号
     * @return
     */
    int delete(Integer id);

}
