package com.xkrs.microservice.service;

import com.xkrs.microservice.model.entity.IndependentCheckEntity;
import com.xkrs.microservice.model.qo.IndependentCheckQo;

import java.util.Optional;

/**
 * 自主核查记录服务管理接口
 * @author tajochen
 */
public interface IndependentCheckService {

    /**
     * 获取所有自主核查记录
     * @return
     */
    Iterable<IndependentCheckEntity> getAllRecord();

    /**
     * 获取指定id的自主核查记录
     * @param id 记录编号
     * @return
     */
    Optional<IndependentCheckEntity> getById(Integer id);

    /**
     * 获取指定区县代码的自主核查记录
     * @param countyCode 区县代码
     * @return
     */
    Iterable<IndependentCheckEntity> getByCountyCode(Integer countyCode);

    /**
     * 获取指定用户的所有自主核查记录
     * @param userName 用户名
     * @return
     */
    Iterable<IndependentCheckEntity> getByUserName(String userName);

    /**
     * 新增灌溉核查记录
     * @param irrigationCheckQo
     * @param userName 用户名
     */
    void add(IndependentCheckQo irrigationCheckQo, String userName);

    /**
     * 删除自主核查记录
     * @param id
     */
    void delete(Integer id);

}
