package com.xkrs.microservice.service;

import com.xkrs.microservice.model.vo.ForecastWeather7DayVo;
import com.xkrs.microservice.model.vo.RealTimeWeatherVo;

import java.util.List;

/**
 * 气象接口
 * @author tajochen
 */
public interface MeteorologicalService {

    /**
     * 获取当前行政区划天气
     * @param admCode 行政区划代码
     * @return
     */
    RealTimeWeatherVo getWeatherNowByAdmCode(Integer admCode);

    /**
     * 获取行政区划天气预报
     * @param admCode 行政区划代码
     * @return
     */
    ForecastWeather7DayVo getWeatherForecastByAdmCode(Integer admCode);

}
