package com.xkrs.microservice.service.impl;

import com.xkrs.microservice.service.CacheService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

/**
 * 系统用户服务
 * @author tajochen
 */
@Service
@CacheConfig(cacheNames = "CacheServiceCache")
public class CacheServiceImpl implements CacheService {

    Logger logger = LoggerFactory.getLogger(CacheServiceImpl.class);

    @Cacheable(keyGenerator = "keyGenerator",unless="#result == null")
    @Override
    public String findByTestName(String testName) {
        System.out.println("findByTestName 没有加载缓存");
        logger.warn("findByTestName 没有加载缓存");
        return testName;
    }

    @CacheEvict(value = "CacheServiceCache",allEntries = true)
    @Override
    public String setTestName(String testName) {
        System.out.println("setTestName 进行 CacheEvict");
        logger.warn("setTestName 进行 CacheEvict");
        return testName;
    }
}