package com.xkrs.microservice.util;

import com.aliyun.dysmsapi20170525.models.*;
import com.aliyun.teaopenapi.models.*;

/**
 * 阿里巴巴短信工具
 * @author tajochen
 */
public class AliMsgUtil {

    /**
     * 使用AK&SK初始化账号Client
     * @param accessKeyId   访问秘钥id
     * @param accessKeySecret 访问密钥密码
     * @return Client
     * @throws Exception
     */
    public static com.aliyun.dysmsapi20170525.Client createClient(String accessKeyId, String accessKeySecret) throws Exception {
        Config config = new Config()
                // 您的AccessKey ID
                .setAccessKeyId(accessKeyId)
                // 您的AccessKey Secret
                .setAccessKeySecret(accessKeySecret);
        // 访问的域名
        config.endpoint = "dysmsapi.aliyuncs.com";
        return new com.aliyun.dysmsapi20170525.Client(config);
    }

    public static void main(String[] argsA) throws Exception {
        java.util.List<String> args = java.util.Arrays.asList(argsA);
        com.aliyun.dysmsapi20170525.Client client = AliMsgUtil.createClient("LTAI5tMSjLfu8Xu2w6WeguFF", "hvqM5zpi72hvX4VXM71wq6AE0XYtDI");
        SendSmsRequest sendSmsRequest = new SendSmsRequest()
                .setSignName("青岛星科瑞升")
                .setTemplateCode("SMS_221082764")
                .setTemplateParam("{\"code\":\"123456\"}")
                .setPhoneNumbers("123456789,123456798");
        // 复制代码运行请自行打印 API 的返回值
        SendSmsResponse response = client.sendSms(sendSmsRequest);
        System.out.println(response);
    }
}
